%define upstream_name    CPAN-SQLite
%define upstream_version 0.220

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Maintain and search a minimal CPAN database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz
# (tv) fix tests w/o networking (CPAN RT#117853):
Patch0:     fix-tests-wo-networking.patch

BuildRequires: perl(Archive::Tar) >= 1.540.0
BuildRequires: perl(CPAN::DistnameInfo) >= 0.90.0
BuildRequires: perl(CPAN::Index) >= 1.930.0
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(DBD::SQLite) >= 1.270.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny) >= 0.41.0
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This package is used for setting up, maintaining, and searching a CPAN
database consisting of the information stored in the three main CPAN
indices: _$CPAN/modules/03modlist.data.gz_,
_$CPAN/modules/02packages.details.txt.gz_, and
_$CPAN/authors/01mailrc.txt.gz_. It should be considered at an alpha stage
of development.

One begins by creating the object as

  my $obj = CPAN::SQLite->new(%args);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make_build}

%check
rm -f t/05meta_new.t t/05meta_update.t t/06retrieve.t
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Nov 04 2022 tv <tv> 0.220.0-1.mga9
+ Revision: 1902548
- update to 0.220

* Mon Mar 21 2022 umeabot <umeabot> 0.219.0-2.mga9
+ Revision: 1812765
- Mageia 9 Mass Rebuild

* Mon Jun 01 2020 tv <tv> 0.219.0-1.mga8
+ Revision: 1589397
- update to 0.219

* Fri Feb 14 2020 umeabot <umeabot> 0.217.0-2.mga8
+ Revision: 1522606
- Mageia 8 Mass Rebuild

* Wed Jan 30 2019 shlomif <shlomif> 0.217.0-1.mga7
+ Revision: 1361885
- New version 0.217

* Mon Jan 28 2019 shlomif <shlomif> 0.216.0-1.mga7
+ Revision: 1361735
- update to 0.216
+ tv <tv>
- update to 0.214

* Fri Jan 04 2019 tv <tv> 0.213.0-1.mga7
+ Revision: 1349041
- update to 0.213

* Thu Sep 20 2018 umeabot <umeabot> 0.212.0-2.mga7
+ Revision: 1281873
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.212.0-1.mga7
+ Revision: 1253933
- update to 0.212

* Mon Oct 09 2017 tv <tv> 0.211.0-4.mga7
+ Revision: 1170503
- disable tests that need networking

* Sat Jun 18 2016 pterjan <pterjan> 0.211.0-3.mga6
+ Revision: 1024494
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.211.0-2.mga6
+ Revision: 968669
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 0.211.0-1.mga6
+ Revision: 854347
- update to 0.211

* Mon Jul 06 2015 sander85 <sander85> 0.208.0-1.mga6
+ Revision: 852079
- update to 0.208

* Mon Jun 29 2015 sander85 <sander85> 0.205.0-1.mga6
+ Revision: 848033
- update to 0.205

* Wed Oct 15 2014 umeabot <umeabot> 0.204.0-3.mga5
+ Revision: 744283
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 sander85 <sander85> 0.204.0-1.mga5
+ Revision: 659815
- update to 0.204

* Mon Oct 21 2013 umeabot <umeabot> 0.203.0-2.mga4
+ Revision: 536986
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.203.0-1.mga4
+ Revision: 486102
- update to 0.203

* Sun Jan 13 2013 umeabot <umeabot> 0.202.0-2.mga3
+ Revision: 363653
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 27 2011 jquelin <jquelin> 0.202.0-1.mga2
+ Revision: 114633
- update to 0.202

* Tue Jun 21 2011 jquelin <jquelin> 0.201.0-1.mga2
+ Revision: 111586
- update to 0.201

* Wed Jun 15 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 107771
- update to 0.200

* Sat Jan 22 2011 jquelin <jquelin> 0.199.0-1.mga1
+ Revision: 31736
- mageia rebuild
- imported package perl-CPAN-SQLite

